PATH_NUSMV=/home/melatti/AssegnoRoma1/ricerca/software/NuSMV/NuSMV-2.6.0/NuSMV/build/bin/NuSMV
if [ $# -lt 1 ]
then
    echo Give the model name
    exit
fi
test -x $PATH_NUSMV || { echo $PATH_NUSMV is not an executable; exit; } 
model=$1
model_no_dots=`echo $model | tr "." "_"`
if [ $# -eq 2 ]
then
    ord_file="-i $2"
    ord_file_out="_"`echo $2 | tr "." "_"`
else
    ord_file=""
    ord_file_out=""
fi

exec 1> $model.log
exec 2>&1
$PATH_NUSMV -int <<EOF
read_model -i $model 
flatten_hierarchy 
encode_variables $ord_file 
build_flat_model 
build_model 
check_ctlspec 
dump_fsm -o ${model_no_dots}${ord_file_out}.dot -t
dump_fsm -o ${model_no_dots}${ord_file_out}_I.dot -i
dump_fsm -o ${model_no_dots}${ord_file_out}_Reach.dot -r
#print_bdd_stats
quit
EOF

#dot -Tpdf ${model_no_dots}${ord_file_out}.dot -o ${model_no_dots}${ord_file_out}.pdf
#dot -Tpdf ${model_no_dots}${ord_file_out}_I.dot -o ${model_no_dots}${ord_file_out}_I.pdf

bash from_dot_to_c.sh ${model_no_dots}${ord_file_out}.dot
bash from_dot_to_c.sh ${model_no_dots}${ord_file_out}_I.dot
bash from_dot_to_c.sh ${model_no_dots}${ord_file_out}_Reach.dot

echo
